Subject: RE: [Speechsc] Security-level header in speaker verification meth ods

From: "Reifenrath, Klaus" <[email-masked]>
Date: Thu, 16 Jun 2005 04:18:35 -0400

Hi Dave,

the term "confidence" should be applied to the likelihood a result is
correct, not to the result itself. Otherwise the semantic of "confidence"
would differ between ASR and SV. This would be very confusing, specially for
servers that do ASR and SV in parallel with the same engine. 
A preferable name would be "min-verification-score", which goes well with
your proposed text.

Regards,
Klaus
-----Original Message-----
From: David R. Oran [mailto:[email-masked]] 
Sent: Mittwoch, 15. Juni 2005 23:30
To: [email-masked] ((((E-mail))))
Subject: Re: [Speechsc] Security-level header in speaker verification
methods

I have not heard any objections to this proposal, so I am going to make this
change.

On Jun 10, 2005, at 5:03 PM, David R. Oran wrote:

> This header is unfortunately named and will likely cause confusion and 
> dismay among the security community, because it does not have any 
> useful relationship to anything they would recognize as a security 
> level.
>
> To refresh your cache, the header is described by the following text:
>
> "The Security-Level header determines the range of verification scores 
> in which a decision of 'accepted' may be declared. This header MAY 
> occur in SET-PARAMS, GET-PARAMS and START-SESSION methods. It can be 
> "high" (highest security level), "medium-high", "medium" (normal 
> security level), "medium-low", or "low" (low security level). The 
> default value is platform specific."
>
> In addition, the terms "high", medium-high", etc. for the values are 
> semantic-free in practice and quantized in a completely arbitrary way.
>
> I propose we rename this header to be "confidence-level" and use the 
> same 0-1 range we do with this header for other operations like 
> recognition.
>
> The description text would then read:
>
>
> "The confidence-threshold, when used on a verification resource 
> through a SET-PARAMS, GET-PARAMS and START-SESSION method, determines 
> the minumum verification score for which a verification decision of 
> "accepted" may be declared by the server.  See section xxx for a 
> description of the use of this header with the recognizer resource."
>
> Objections?
>
> Dave.
>
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
>

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: "David R. Oran" <[email-masked]>
Date: Thu, 16 Jun 2005 08:14:12 -0400

> A preferable name would be "min-verification-score", which goes  
OK, that makes sense. I'll change the name and adjust the text.